library(foreign)
library(np)
daten <- read.dta(file.choose())
daten <- daten[daten$female==0,]
y <- daten$wage
educ <- daten$educ
exper <- daten$exper
female <- daten$female
n <- length(y)
set.seed(1)
index <- 1:n#sample(1:n,5000)#
y <- y[index]
educ <- educ[index]
exper <- exper[index]
n <- length(y)
y <- log(y)
x <- cbind(rep(1,n),educ,exper)
ypoints <- seq(.5,4,by=0.1)
multvector <- apply(x,2,median)# colSums(x)/n


estimatorsDR <- sapply(ypoints,function(ystar) levelslopeDR(y,x,ystar,.2))
estimatorsDR <- t(estimatorsDR)

sums1DR <- estimatorsDR[,1:3] %*% multvector
sums2DR <- estimatorsDR[,4:6] %*% multvector
sums1DR <- dlogis(sums1DR)
densityDR <- sums1DR*sums2DR

#################################################

us <- seq(.005,.995,length=15)

estimatorsQR <- matrix(0,ncol=6,nrow=length(us))
for(i in 1:length(us))
{
print(i)
estimatorsQR[i,] <- levelslopeQR(y,x,us[i],.04)
}
yp <- sort(estimatorsQR[,1:3] %*% multvector)
sums2QR <- estimatorsQR[,4:6] %*% multvector
densityQR <- 1/sums2QR

densityNP <- npudens(tdat=y[educ==12 & exper==16],edat=ypoints,bwmethod="normal-reference")$dens

par(las=1)
par(mai=c(.55, .55, 0.2, 0.1))
plot(c(.5,yp,4),c(0,densityQR,0),type="l",lwd=1,ylim=c(0,1))
lines(ypoints,densityDR,type="l",lwd=2,lty=2,col=2)
lines(ypoints,densityNP,lwd=2,lty=3,col=3)

